package com.yidian.bcommon.services


/**
 * 自定义服务的action
 */
class ZapServiceActionConstants {

  companion object {
    // 退出登录
    const val ActionLogout = "ActionLogout"

    // 请求生活号列表
    const val ActionRequestList = "ActionRequestList"

    // 请求短信验证码
    const val ActionRequestSmsCode = "ActionRequestSmsCode"

    // 通过服务清除内存中的认证数据
    const val ActionClearAuthenticationData = "ActionClearAuthenticationData"

    // 进行支付
    const val ActionToPay = "ActionToPay"

    // RSA私钥签名
    const val ActionRSASign = "RSASign"

    // RSA公钥验签
    const val ActionRSAVerifySign = "RSAVerifySign"

    // RSA公钥加密
    const val ActionRSAEncrypt = "RSAEncrypt"

    // RSA私钥解密
    const val ActionRSADecrypt = "RSADecrypt"

    // AES加密
    const val ActionAESEncrypt = "AESEncrypt"

    // AES解密
    const val ActionAESDecrypt = "AESDecrypt"

    // 获取用户信息
    const val ActionGetUserInfo = "getUserInfo"

    // 延迟初始化
    const val ActionLazyInit = "lazyInit"

    // 获取TowerPro通用配置数据
    const val ActionGetTowerProCommonConfig = "getTowerProCommonConfig"
  }
}
